Bug 977139 - mouse pointer on synergy client is invisible unless physical mouse is also present
mouse pointer on synergy client is invisible unless physical mouse is also pr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 13:43 EDT by Laine Stump
Modified: 2015-11-04 13:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 13:18:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laine Stump 2013-06-23 13:43:53 EDT
Description of problem:

On RHEL6 and older Fedora versions, a machine running a synergy client had a visible mouse pointer even if that machine had no mouse connected. Now that I've upgraded the clients to Fedora 19, there is no mouse pointer visible unless I plug a real mouse into the machine.

I actually suspect this is a problem of something else (gdm? gnome shell?) but thought someone who knows about synergy may have a better idea where to point the finger.

Version-Release number of selected component (if applicable):

synergy-1.4.10-1.fc19.x86_64 (synergy server is same version, but running on Fedora 17)

gnome-shell-3.8.3-2.fc19.x86_64
gdm-3.8.1.1-6.fc19.x86_64

How reproducible: 100%

Steps to Reproduce:
1. reboot a machine running synergy client and unplug its mouse before it starts up.

2. Move the mouse from the synergy server over onto the client's screen.


Actual results:

Mouse movement and clicks *do* still work (as long as you can guess the right amount of movement to get the invisible pointer where you want it), but the pointer is completely invisible except for a very short period right after you hit the Login button.

Additional info:

I'm not sure if this was a problem with F18, as I upgraded the machine with no mouse directly from F16 to F19.
Comment 1 Fedora End Of Life 2015-01-09 13:30:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Laine Stump 2015-01-09 14:00:35 EST
I just tested this on my F21 box - unplugged the mouse hanging out the back of the machine and rebooted - and it is still a problem with F21, so I'm changing the version.

The symptoms are exactly the same - mouse pointer is invisible on the machine running synergyc, but it is still moving and if you guess correctly at the location, you can make stuff happen.

Also, I've just noticed that it isn't necessary to keep the physical mouse plugged in - just temporarily plug it in and move the synergy-sourced mouse over onto that screen, then unplug the physical mouse; the pointer remains visible until you logout/login again (which presumably re-initializes something and loses the mouse pointer display).
Comment 3 Laine Stump 2015-01-22 13:09:03 EST
Additional info - I just built the rawhide version of synergy (1.6.2-1) on my F20 synergy server and tried connecting to a synergy client on a virtual machine running Fedora rawhide (also 1.6.2-1) as well as on a physical machine running F21 with synergy-1.6.2-1. The mouse cursor was again invisible when moving to the client in both cases. So,

1) synergy 1.6 has the same problem

2) synergyc running on a virtual machine has the same problem as synergyc running on a machine with no physical mouse connected.
Comment 4 Fedora End Of Life 2015-11-04 09:01:05 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Laine Stump 2015-11-04 13:18:56 EST
As of Fedora 22, the version of synergy is still 1.6.2-1, but when I performed the same test as Comment 2 (same hardware) the mouse pointer *was* visible. So this problem must have had a cause somewhere else in the stack and it's now solved, so I'll give it a more honorable burial than just EOL.

Note You need to log in before you can comment on or make changes to this bug.